#include "messages.lua"
messageId = GetStringParam("message", "")
timer = GetIntParam("timer", 0)


function init()
    done =  false
end

function tick(dt)
    if done then
        return
    end
    timer = timer-dt
	if timer <= 0 then
        done = true
        local task = gArtMessages[messageId].task
        local taskDone = GetBool("savegame.mod.task."..task)

        if task ~= "" then
            if not taskDone then
                SetString("cellphone.newMessage",messageId)
            end 
        else
            SetString("cellphone.newMessage",messageId)
        end
    end
end
